Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum AgentLoginStatus

    java.lang.Object
      java.lang.Enum<AgentLoginStatus>
          com.nortel.soa.oi.cct.types.AgentLoginStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AgentLoginStatus>

    public enum AgentLoginStatus

extends java.lang.Enum<AgentLoginStatus>

Java class for agentLoginStatus.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="agentLoginStatus">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="LOGGED_IN"/>
         <enumeration value="LOGGED_OUT"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`LOGGED_IN`
`LOGGED_OUT`

Method Summary
`static AgentLoginStatus` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static AgentLoginStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AgentLoginStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOGGED_IN

    public static final AgentLoginStatus LOGGED_IN

### LOGGED_OUT

    public static final AgentLoginStatus LOGGED_OUT

Method Detail

### values

    public static AgentLoginStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AgentLoginStatus c : AgentLoginStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AgentLoginStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static AgentLoginStatus fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.